curl https://api.growthbook.io/api/v1/data-sources/ds_123abc \
-u secret_abc123DEF456:{
"dataSource": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"type": "<string>",
"name": "<string>",
"description": "<string>",
"projectIds": [
"<string>"
],
"eventTracker": "<string>",
"identifierTypes": [
{
"id": "<string>",
"description": "<string>"
}
],
"assignmentQueries": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"identifierType": "<string>",
"sql": "<string>",
"includesNameColumns": true,
"dimensionColumns": [
"<string>"
]
}
],
"identifierJoinQueries": [
{
"identifierTypes": [
"<string>"
],
"sql": "<string>"
}
],
"mixpanelSettings": {
"viewedExperimentEventName": "<string>",
"experimentIdProperty": "<string>",
"variationIdProperty": "<string>",
"extraUserIdProperty": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The id of the requested resource
Success
Show child attributes
curl https://api.growthbook.io/api/v1/data-sources/ds_123abc \
-u secret_abc123DEF456:{
"dataSource": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"type": "<string>",
"name": "<string>",
"description": "<string>",
"projectIds": [
"<string>"
],
"eventTracker": "<string>",
"identifierTypes": [
{
"id": "<string>",
"description": "<string>"
}
],
"assignmentQueries": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"identifierType": "<string>",
"sql": "<string>",
"includesNameColumns": true,
"dimensionColumns": [
"<string>"
]
}
],
"identifierJoinQueries": [
{
"identifierTypes": [
"<string>"
],
"sql": "<string>"
}
],
"mixpanelSettings": {
"viewedExperimentEventName": "<string>",
"experimentIdProperty": "<string>",
"variationIdProperty": "<string>",
"extraUserIdProperty": "<string>"
}
}
}